# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::Variant Class Reference

`#include <types.h>`

## Public Member Functions

| Variant ()
| Variant (MessageIter &it)
Variant & | operator= (const Variant &v)
const Signature | signature () const
void | clear ()
MessageIter | reader () const
MessageIter | writer ()
template<typename T>
| operator T () const

## Private Attributes

Message | _msg

## Detailed Description

Definition at line 67 of file types.h.

## Constructor & Destructor Documentation

## ◆ Variant() [1/2]

DBus::Variant::Variant | ( |  | ) |

Definition at line 39 of file types.cpp.

References _msg.

Referenced by operator=().

## ◆ Variant() [2/2]

DBus::Variant::Variant | ( | MessageIter & | it | ) |

Definition at line 44 of file types.cpp.

References _msg, DBus::MessageIter::copy_data(), and DBus::MessageIter::recurse().

## Member Function Documentation

## ◆ clear()

void DBus::Variant::clear | ( |  | ) |

Definition at line 61 of file types.cpp.

References _msg.

Referenced by DBus::operator>>().

## ◆ operator T()

template<typename T>

DBus::Variant::operator T | ( |  | ) | const

inline

Definition at line 644 of file types.h.

References _msg.

## ◆ operator=()

Variant & DBus::Variant::operator= | ( | const Variant & | v | ) |

Definition at line 52 of file types.cpp.

References _msg, and Variant().

## ◆ reader()

MessageIter DBus::Variant::reader | ( |  | ) | const

inline

Definition at line 81 of file types.h.

References _msg.

Referenced by DBus::operator<<(), and signature().

## ◆ signature()

const Signature DBus::Variant::signature | ( |  | ) | const

Definition at line 67 of file types.cpp.

References reader(), DBus::MessageIter::signature(), and signature().

Referenced by DBus::operator<<(), DBus::InterfaceAdaptor::set_property(), and signature().

## ◆ writer()

MessageIter DBus::Variant::writer | ( |  | ) |

inline

Definition at line 86 of file types.h.

References _msg.

Referenced by DBus::operator>>().

## Member Data Documentation

## ◆ _msg

Message DBus::Variant::_msg

private

Definition at line 96 of file types.h.

Referenced by clear(), operator T(), operator=(), reader(), Variant(), Variant(), and writer().

The documentation for this class was generated from the following files:

- types.h
- types.cpp